admin-index:
  path: /
  defaults: { _controller: 'xc\Controllers\Admin\Index::handleRequest' }

admin-news:
  path: /content/news/new
  defaults: { _controller: 'xc\Controllers\Admin\ManageNews::newItem' }
  methods: [ GET ]

admin-news-edit:
  path: /content/news/{id}
  defaults: { _controller: 'xc\Controllers\Admin\ManageNews::editItem' }
  requirements: { id: '\d+' }
  methods: [ GET ]

admin-news-delete:
  path: /content/news/{id}/delete
  defaults: { _controller: 'xc\Controllers\Admin\ManageNews::confirmDelete' }
  requirements: { id: '\d+' }
  methods: [ GET ]

admin-news-delete-post:
  path: /content/news/{id}/delete
  defaults: { _controller: 'xc\Controllers\Admin\ManageNews::delete' }
  requirements: { id: '\d+' }
  methods: [ POST ]

admin-news-post:
  path: /content/news/{id}
  defaults: { _controller: 'xc\Controllers\Admin\ManageNews::saveItem', id: null }
  requirements: { id: '(\d+)?' }
  methods: [ POST ]

admin-spotlights:
  path: /content/spotlights
  defaults: { _controller: 'xc\Controllers\Admin\ManageSpotlights::index' }
  methods: [ GET ]

admin-spotlights-post:
  path: /content/spotlights
  defaults: { _controller: 'xc\Controllers\Admin\ManageSpotlights::indexRedirect' }
  methods: [ POST ]

admin-spotlight-new:
  path: /content/spotlight/new
  defaults: { _controller: 'xc\Controllers\Admin\ManageSpotlights::newSpotlight' }
  methods: [ GET ]

admin-spotlight-new-post:
  path: /content/spotlight/new
  defaults: { _controller: 'xc\Controllers\Admin\ManageSpotlights::saveSpotlight' }
  methods: [ POST ]

admin-spotlight-edit:
  path: /content/spotlight/{id}/edit
  defaults: { _controller: 'xc\Controllers\Admin\ManageSpotlights::editSpotlight' }
  methods: [ GET ]

admin-spotlight-save:
  path: /content/spotlight/{id}/edit
  defaults: { _controller: 'xc\Controllers\Admin\ManageSpotlights::saveSpotlight' }
  methods: [ POST ]

admin-spotlight-delete:
  path: /content/spotlight/{id}/delete
  defaults: { _controller: 'xc\Controllers\Admin\ManageSpotlights::confirmDelete' }
  methods: [ GET ]

admin-spotlight-delete-post:
  path: /content/spotlight/{id}/delete
  defaults: { _controller: 'xc\Controllers\Admin\ManageSpotlights::delete' }
  methods: [ POST ]

admin-tips:
  path: /content/tips
  defaults: { _controller: 'xc\Controllers\Admin\ManageTips::index' }
  methods: [ GET ]

admin-tips-post:
  path: /content/tips
  defaults: { _controller: 'xc\Controllers\Admin\ManageTips::indexRedirect' }
  methods: [ POST ]

admin-tip-new:
  path: /content/tip/new
  defaults: { _controller: 'xc\Controllers\Admin\ManageTips::newTip' }
  methods: [ GET ]

admin-tip-new-post:
  path: /content/tip/new
  defaults: { _controller: 'xc\Controllers\Admin\ManageTips::saveTip' }
  methods: [ POST ]

admin-tip-edit:
  path: /content/tip/{id}/edit
  defaults: { _controller: 'xc\Controllers\Admin\ManageTips::editTip' }
  methods: [ GET ]

admin-tip-save:
  path: /content/tip/{id}/edit
  defaults: { _controller: 'xc\Controllers\Admin\ManageTips::saveTip' }
  methods: [ POST ]

admin-tip-delete:
  path: /content/tip/{id}/delete
  defaults: { _controller: 'xc\Controllers\Admin\ManageTips::confirmDelete' }
  methods: [ GET ]

admin-tip-delete-post:
  path: /content/tip/{id}/delete
  defaults: { _controller: 'xc\Controllers\Admin\ManageTips::deleteTip' }
  methods: [ POST ]

admin-delete-comment:
  path: /delete-comment
  defaults: { _controller: 'xc\Controllers\Admin\DeleteComment::handleRequest' }
  methods: [ GET ]

admin-delete-comment-post:
  path: /delete-comment
  defaults: { _controller: 'xc\Controllers\Admin\DeleteComment::handlePost' }
  methods: [ POST ]

admin-disable-user:
  path: /user/{id}/disable
  defaults: { _controller: 'xc\Controllers\Admin\DisableUser::confirm' }
  methods: [ GET ]

admin-disable-user-post:
  path: /user/{id}/disable
  defaults: { _controller: 'xc\Controllers\Admin\DisableUser::disable' }
  methods: [ POST ]

admin-masquerade:
  path: /user/masquerade
  defaults: { _controller: 'xc\Controllers\Admin\Masquerade::handleRequest' }
  methods: [ GET ]

admin-masquerade-post:
  path: /user/masquerade
  defaults: { _controller: 'xc\Controllers\Admin\Masquerade::handlePost' }
  methods: [ POST ]

admin-masquerade-direct:
  path: /user/masquerade/{id}
  defaults: { _controller: 'xc\Controllers\Admin\Masquerade::switch' }
  requirements: { id: '\w+' }
  methods: [ GET ]

admin-masquerade-redirect:
  path: /user/masquerade/{id}/{referer}
  defaults: { _controller: 'xc\Controllers\Admin\Masquerade::switch' }
  requirements: { id: '\w+', referer: '\w+' }
  methods: [ GET ]

admin-replace-recording:
  path: /content/replace-recording
  defaults: { _controller: 'xc\Controllers\Admin\ReplaceRecording::handleRequest' }
  methods: [ GET ]

admin-replace-recording-post:
  path: /content/replace-recording
  defaults: { _controller: 'xc\Controllers\Admin\ReplaceRecording::handlePost' }
  methods: [ POST ]

admin-articles:
  path: /content/articles
  defaults: { _controller: 'xc\Controllers\Admin\ManageArticles::handleRequest' }
  methods: [ GET ]

admin-articles-post:
  path: /content/articles
  defaults: { _controller: 'xc\Controllers\Admin\ManageArticles::handlePost' }
  methods: [ POST ]

admin-recently-deleted:
  path: /qa/recently-deleted
  defaults: { _controller: 'xc\Controllers\Admin\RecentlyDeletedRecordings::handleRequest' }

admin-recently-revised:
  path: /qa/recently-revised
  defaults: { _controller: 'xc\Controllers\Admin\RecentlyRevisedRecordings::handleRequest' }

admin-fileinfo:
  path: /qa/file-info
  defaults: { _controller: 'xc\Controllers\Admin\FileInfo::handleRequest' }

admin-id3:
  path: /content/id3
  defaults: { _controller: 'xc\Controllers\Admin\WriteId3::handleRequest' }
  methods: [ GET ]

admin-id3-post:
  path: /content/id3
  defaults: { _controller: 'xc\Controllers\Admin\WriteId3::generate' }
  methods: [ POST ]

admin-mail:
  path: /user/mail
  defaults: { _controller: 'xc\Controllers\Admin\MailUsers::compose' }
  methods: [ GET ]

admin-mail-post:
  path: /user/mail
  defaults: { _controller: 'xc\Controllers\Admin\MailUsers::send' }
  methods: [ POST ]

admin-user-permissions:
  path: /user/permissions
  defaults: { _controller: 'xc\Controllers\Admin\ManageUserPermissions::handleRequest' }
  methods: [ GET ]

admin-user-permissions-new-user:
  path: /user/permissions/new
  defaults: { _controller: 'xc\Controllers\Admin\ManageUserPermissions::selectNewUser' }
  methods: [ GET ]

admin-user-permissions-post:
  path: /user/permissions
  defaults: { _controller: 'xc\Controllers\Admin\ManageUserPermissions::handlePost' }
  methods: [ POST ]

admin-update-recording-status:
  path: /content/update-recording-status
  defaults: { _controller: 'xc\Controllers\Admin\UpdateRecordingStatus::handlePost' }
  methods: [ POST ]

admin-restricted-users:
  path: /user/restricted
  defaults: { _controller: 'xc\Controllers\Admin\RestrictedUsers::show' }

admin-potential-spammers:
  path: /user/potential-spammers
  defaults: { _controller: 'xc\Controllers\Admin\PotentialSpammers::show' }

admin-splits:
  path: /qa/splits
  defaults: { _controller: 'xc\Controllers\Admin\PotentialSplits::show' }

admin-ssp-issues:
  path: /qa/subspecies-issues
  defaults: { _controller: 'xc\Controllers\Admin\SubspeciesIssues::show' }

admin-sono:
  path: /content/sonogram
  defaults: { _controller: 'xc\Controllers\Admin\GenerateSonogram::showForm' }
  methods: [ GET ]

admin-sono-post:
  path: /content/sonogram
  defaults: { _controller: 'xc\Controllers\Admin\GenerateSonogram::generate' }
  methods: [ POST ]

admin-ai:
  path: /content/sound-recognition
  defaults: { _controller: 'xc\Controllers\Admin\RunSoundRecognition::showForm' }
  methods: [ GET ]

admin-ai-post:
  path: /content/sound-recognition
  defaults: { _controller: 'xc\Controllers\Admin\RunSoundRecognition::run' }
  methods: [ POST ]

admin-ai-accepted:
  path: /ai/accepted
  defaults: { _controller: 'xc\Controllers\Admin\AiResults::handleAccepted' }
  methods: [ GET ]

admin-ai-non-matched:
  path: /ai/non-matched
  defaults: { _controller: 'xc\Controllers\Admin\AiResults::handleNonMatched' }
  methods: [ GET ]

admin-ai-non-matched-species:
  path: /ai/non-matched-species
  defaults: { _controller: 'xc\Controllers\Admin\AiResults::handleNonMatchedSpecies' }
  methods: [ GET ]

admin-ai-unresolved:
  path: /ai/unresolved
  defaults: { _controller: 'xc\Controllers\Admin\AiResults::handleUnresolved' }
  methods: [ GET ]

admin-ai-matched:
  path: /ai/matched
  defaults: { _controller: 'xc\Controllers\Admin\AiResults::handleMatched' }
  methods: [ GET ]

admin-ai-csv-suggestions:
  path: /ai/csv-suggestions
  defaults: { _controller: 'xc\Controllers\ExportCsv::handleAiSuggestions' }
  methods: [ GET ]

admin-ai-csv-no-suggestions:
  path: /ai/csv-no-suggestions
  defaults: { _controller: 'xc\Controllers\ExportCsv::handleAiNoSuggestions' }
  methods: [ GET ]

admin-delete-recording:
  path: /delete/recording
  defaults: { _controller: 'xc\Controllers\Admin\DeleteRecordings::showForm' }
  methods: [ GET ]

admin-delete-recording-verify:
  path: /delete/recording/verify
  defaults: { _controller: 'xc\Controllers\Admin\DeleteRecordings::verify' }
  methods: [ POST ]

admin-delete-recording-delete:
  path: /delete/recording/delete
  defaults: { _controller: 'xc\Controllers\Admin\DeleteRecordings::delete' }
  methods: [ POST ]

admin-server-info:
  path: /server-info
  defaults: { _controller: 'xc\Controllers\Admin\ServerInfo::show' }

admin-sets:
  path: /sets
  defaults: { _controller: 'xc\Controllers\Admin\Sets::showSetList' }

admin-restricted-species:
  path: /species/restricted
  defaults: { _controller: 'xc\Controllers\Admin\RestrictedSpecies::show' }
  methods: [ GET ]

admin-restricted-species-remove:
  path: /species/restricted/remove
  defaults: { _controller: 'xc\Controllers\Admin\RestrictedSpecies::remove' }
  methods: [ POST ]

admin-restricted-species-add:
  path: /species/restricted/add
  defaults: { _controller: 'xc\Controllers\Admin\RestrictedSpecies::add' }
  methods: [ POST ]

admin-batch-index:
  path: /batch-upload
  defaults: { _controller: 'xc\Controllers\Admin\BatchUpload::index' }

admin-batch-dry:
  path: /batch-upload/{user}/dry
  defaults: { _controller: 'xc\Controllers\Admin\BatchUpload::dryRun' }
  methods: [ GET ]

admin-batch-upload:
  path: /batch-upload/{user}/upload
  defaults: { _controller: 'xc\Controllers\Admin\BatchUpload::upload' }
  methods: [ GET ]

admin-classification-index:
  path: /classification-update
  defaults: { _controller: 'xc\Controllers\Admin\ClassificationUpdate::index' }

admin-classification-dry:
  path: /classification-update/dry
  defaults: { _controller: 'xc\Controllers\Admin\ClassificationUpdate::dryRun' }

admin-classification-run:
  path: /classification-update/run
  defaults: { _controller: 'xc\Controllers\Admin\ClassificationUpdate::run' }

admin-dwca-index:
  path: /dwca-update
  defaults: { _controller: 'xc\Controllers\Admin\DwcaUpdate::index' }

admin-dwca-prepare:
  path: /dwca-update/prepare
  defaults: { _controller: 'xc\Controllers\Admin\DwcaUpdate::prepare' }

admin-dwca-compare:
  path: /dwca-update/compare/{group_id}
  defaults: { _controller: 'xc\Controllers\Admin\DwcaUpdate::compare' }
  requirements: { group_id: '\d+' }

admin-dwca-replace:
  path: /dwca-update/replace/{group_id}
  defaults: { _controller: 'xc\Controllers\Admin\DwcaUpdate::replace' }
  requirements: { group_id: '\d+' }

admin-mdd-index:
  path: /mdd-update
  defaults: { _controller: 'xc\Controllers\Admin\MddUpdate::index' }

admin-mdd-prepare:
  path: /mdd-update/prepare
  defaults: { _controller: 'xc\Controllers\Admin\MddUpdate::prepare' }

admin-mdd-compare:
  path: /mdd-update/compare/{group_id}
  defaults: { _controller: 'xc\Controllers\Admin\MddUpdate::compare' }
  requirements: { group_id: '\d+' }

admin-mdd-replace:
  path: /mdd-update/replace/{group_id}
  defaults: { _controller: 'xc\Controllers\Admin\MddUpdate::replace' }
  requirements: { group_id: '\d+' }

admin-range-maps-index:
  path: /range-maps
  defaults: { _controller: 'xc\Controllers\Admin\RangeMaps::index' }

admin-range-maps-copy:
  path: /range-maps/copy
  defaults: { _controller: 'xc\Controllers\Admin\RangeMaps::copy' }

admin-documents-index:
  path: /documents
  defaults: { _controller: 'xc\Controllers\Admin\Documents::index' }

admin-documents-copy:
  path: /documents/copy
  defaults: { _controller: 'xc\Controllers\Admin\Documents::copy' }

admin-documents-list:
  path: /documents/list
  defaults: { _controller: 'xc\Controllers\Admin\Documents::list' }

admin-sharing-stats:
  path: /sharing
  defaults: { _controller: 'xc\Controllers\Admin\SharingStats::index' }

admin-locations-export:
  path: /locations-export
  defaults: { _controller: 'xc\Controllers\Admin\LocationsExport::index' }

admin-modify-species-set:
  path: /modify-species
  defaults: { _controller: 'xc\Controllers\Admin\ModifySpecies::selectSet' }

admin-modify-species-from:
  path: /modify-species/{set}
  defaults: { _controller: 'xc\Controllers\Admin\ModifySpecies::selectFromSpecies' }
  methods: [ GET ]

admin-modify-species-to:
  path: /modify-species/{set}/{fromSpecies}
  defaults: { _controller: 'xc\Controllers\Admin\ModifySpecies::selectToSpecies' }
  methods: [ GET ]

admin-modify-species-confirm:
  path: /modify-species/{set}/{fromSpecies}/{toSpecies}
  defaults: { _controller: 'xc\Controllers\Admin\ModifySpecies::confirm' }
  methods: [ GET ]

admin-modify-species-save:
  path: /modify-species/{set}/{fromSpecies}/{toSpecies}/save
  defaults: { _controller: 'xc\Controllers\Admin\ModifySpecies::save' }
  methods: [ GET ]

admin-translations:
  path: /translations
  defaults: { _controller: 'xc\Controllers\Admin\Translations::index' }
  methods: [ GET ]

admin-translations-action:
  path: /translations/{action}
  defaults: { _controller: 'xc\Controllers\Admin\Translations::action' }
  methods: [ POST ]

admin-resolved:
  path: /resolved
  defaults: { _controller: 'xc\Controllers\Admin\Resolved::handleRequest' }

admin-clear-cache:
  path: /clear-cache
  defaults: { _controller: 'xc\Controllers\Admin\ClearCaches::clear' }